#!/usr/bin/perl

#To Execute:- perl Inbuilt-Arguments-Approach.pl
use strict;
use warnings;

my $osname = $^O;
print "Running in: $osname\n";

if( $osname eq 'MSWin32' ){
    system("..\\..\\..\\RRM_Tool_exe\\./RRMTool_CLI.exe -i -loadini -f [..\\..\\InputFiles\\legic.ini]");
}
elsif($osname eq 'linux'){
    $ENV{LD_LIBRARY_PATH} = '../../../RRM_Tool_exe/';
    system("../../../RRM_Tool_exe/./RRMTool_CLI -i -loadini -f [../../InputFiles/legic.ini]");
}
elsif($osname eq 'darwin'){
    $ENV{DYLD_LIBRARY_PATH} = '../../../RRM_Tool_exe/';
    system("../../../RRM_Tool_exe/./RRMTool_CLI", "-i", "-loadini", "-f", "[../../InputFiles/legic.ini]");
}
else{
   print "Not a valid platform"; 
}
