#!/usr/bin/perl

# To Execute:- perl Custom-Arguments-Approach.pl -s -loadhwg -f [RDR-805x1AxU.hwg+]
use strict;
use warnings;

my $osname = $^O;
print "Running in: $osname\n";

if( $osname eq 'MSWin32' ){
    system("..\\..\\..\\RRM_Tool_exe\\./RRMTool_CLI.exe $ARGV[0] $ARGV[1] $ARGV[2] $ARGV[3]");
}
elsif($osname eq 'linux'){
    $ENV{LD_LIBRARY_PATH} = '../../../RRM_Tool_exe/';
    system("../../../RRM_Tool_exe/./RRMTool_CLI $ARGV[0] $ARGV[1] $ARGV[2] $ARGV[3]");
}
elsif($osname eq 'darwin'){
    $ENV{DYLD_LIBRARY_PATH} = '../../../RRM_Tool_exe/';
    system("../../../RRM_Tool_exe/./RRMTool_CLI", "$ARGV[0]", "$ARGV[1]", "$ARGV[2]", "$ARGV[3]");
}
else{
   print "Not a valid platform"; 
}
