#!/usr/bin/perl

#To Execute:- perl Inbuilt-Arguments-Approach.pl
use strict;
use warnings;

my $osname = $^O;
print "Running in: $osname\n";

if( $osname eq 'MSWin32' ){
    system("..\\..\\..\\RRM_Tool_exe\\./RRMTool_CLI.exe -s -loadhwg -f [..\\..\\InputFiles\\RDR-805x1AxU.hwg+]");
}
elsif($osname eq 'linux'){
    $ENV{LD_LIBRARY_PATH} = '../../../RRM_Tool_exe/';
    system("../../../RRM_Tool_exe/./RRMTool_CLI -s -loadhwg -f [../../InputFiles/RDR-805x1AxU.hwg+]");
}
elsif($osname eq 'darwin'){
    $ENV{DYLD_LIBRARY_PATH} = '../../../RRM_Tool_exe/';
    system("../../../RRM_Tool_exe/./RRMTool_CLI", "-s", "-loadhwg", "-f", "[../../InputFiles/RDR-805x1AxU.hwg+]");
}
else{
   print "Not a valid platform"; 
}
  
